import { expect, type Locator, type Page } from '@playwright/test';
import { InsuranceBasePage } from './InsuranceBasePage';

export class PolicyInfoSubmittedPage extends InsuranceBasePage {
    readonly page: Page;
    readonly policyInfoMessage: Locator;
    
    url = process.env['BASE_URL']! + '/FixMyGlass/PolicyInfoSubmitted.aspx';

    constructor(page: Page) {
        super(page);
        this.page = page;
        this.policyInfoMessage = this.page.getByRole('heading', { name: 'Your policy and vehicle' });
        
        // this.validateURL(this.url);
    }

    async verifyPolicyInfoSubmitted(): Promise<void> {
        await expect(this.policyInfoMessage).toBeVisible();
        const policyInfoMessage = await this.policyInfoMessage.textContent();
        expect(policyInfoMessage).toBe("Your policy and vehicle information has been submitted for coverage verification")
    }
    
}